class Threads {
	#handler;
	constructor(handler) {
		this.#handler = handler;
	}

	#values = {};
	append(name, key, value) {
		this.#values[name] = {...(this.#values[name] ?? {}), ...{[key]: value}};
	}

	flush() {
		for (const key in this.#values) {
			this.#handler(key, this.#values[key]);
		}
	}
}

module.exports = { Threads };
