module.exports = `
query($pagination: PaginationArg){
    authors(pagination: $pagination) {
        data {
            id
            attributes {
              url
              name
              photo {
                data {
                  attributes {
                    hash
                    ext
                  }
                }
              }
              info
              latests(pagination: {limit: 6}){
                data {
                  id
                }
              }
              meta_title
              meta_description
            }
        }
    }
}
`