module.exports = `
query($pagination: PaginationArg){
    posts(pagination: $pagination)  {
        data {
            id
            attributes {
              title
              url
              preview
              lightweight
              body
              meta_title
              meta_description
              category {
                data {
                  id
                }
              }
              is_featured
              author {
                data {
                  id
                }
              }
              resource {
                data {
                  id
                  attributes {
                    hash
                    ext
                  }
                }
              }
              createdAt
              updatedAt
            }
        }
    }
}
`