class Dictionary {
	#handler;

	constructor(handler) {
		this.#handler = handler;
	}

	#values = {};
	add(data, key, value) {
		this.#values = data.reduce((obj, item) => {
			obj[item[key]] = item[value]
			return obj
		}, {})
	}

	flush() {
		if (Object.keys(this.#values).length > 0) {
			this.#handler(this.#values);
		}
	}
}

module.exports = {Dictionary};
